-- =============================================
-- Author:		<Author,,Name>
-- Create date: <Create Date,,>
-- Description:	<Description,,>
-- =============================================
CREATE procedure [C6Mart].[GESTIONE_SELECT_FTP_INVIATI] 
AS
BEGIN
	-- SET NOCOUNT ON added to prevent extra result sets from
	-- interfering with SELECT statements.
	SET NOCOUNT ON;
-- Facciate(6)CppBollettini(2)IDENTIFICATIVODOCUMENTO(50)NOMINATIVODESTINATARIO(50)VIA(50)CAP(5)LOCALITA(50)PROVINCIA(2)NAZIONE(1)TIPOPOSTALIZZAZIONE(2)FILESPOOL(50)ALLEGATO1(1)ALLEGATO1(2)NAZIONEESTERA(30)
--FacciateXXXXX(6)00CodiceFiscale(50)NOMINATIVODESTINATARIO(50)VIA(50)CAP(5)LOCALITA(50)PROVINCIA(2)IoE(1)PE(2)NOMEFILE(50)0(1)0(2)NAZIONEESTERA(30)
--	(right('000000' + cast(isnull(GESTIONE_PDF_FTP.numeroPagine,0) as varchar(6)),6) -- Facciate(6)
--	+ '00' --CppBollettini(2)
--	+ '                                                  ' --IDENTIFICATIVODOCUMENTO(50)
--	+ LEFT(isnull(ANAG_CLIENTI.Cognome,'COGNOME') + ' ' + ISNULL(ANAG_CLIENTI.Nome,'NOME') + '                                                  ',50) -- NOMINATIVODESTINATARIO(50)
--    + LEFT(CONTRATTOSEI.Indirizzo + '                                                  ',50) --VIA(50)
--    + LEFT(CONTRATTOSEI.CAP + '     ',5) --CAP(5)  
--	+ LEFT(CONTRATTOSEI.Citta + '                                                  ',50) --LOCALITA(50)
--	+ LEFT(CONTRATTOSEI.Prov + '  ',2)--PROVINCIA(2)
--	+ (CASE UPPER(CONTRATTOSEI.Nazione) WHEN 'ITALIA' THEN 'I' ELSE 'E' END) -- IoE(1)
--    + 'PE' --TIPOPOSTALIZZAZIONE(2)
--	+ LEFT(GESTIONE_PDF_FTP.NomeFile + '                                                  ',50)--NOMEFILE(50)
--	+ '0' --0(1)
--    + '0' --0(2)
--    + LEFT((CASE UPPER(CONTRATTOSEI.Nazione) WHEN 'ITALIA' THEN '' ELSE CONTRATTOSEI.Nazione END) + '                               ',30)) -- NAZIONEESTERA(30)
--	
-- FC 24/02/2014
-- MOdifica accesso tabella C6MART.ContrattoSei NON PIU GESTITA con tabella C6Mart.VContratti
-- Gestione Data FineAvanzato ( datat chiusura contratto ) con valore convenzionale 9999/12/31
    SELECT DISTINCT C6MART.CONCATENA(C6Mart.GESTIONE_PDF_FTP.Rete, C6Mart.GESTIONE_PDF_FTP.CodiceFiscale) AS riga
	FROM C6MART.GESTIONE_PDF_FTP
	INNER JOIN C6MART.vcontratti V
		ON v.Rete = GESTIONE_PDF_FTP.Rete
		AND v.COD_FISCALE = GESTIONE_PDF_FTP.CodiceFiscale
	INNER JOIN C6MART.ANAG_CLIENTI 
		ON ANAG_CLIENTI.Rete = GESTIONE_PDF_FTP.Rete
		AND ANAG_CLIENTI.COD_FISCALE = GESTIONE_PDF_FTP.CodiceFiscale
	WHERE (DATEDIFF(DAY,GESTIONE_PDF_FTP.DataInvio,GETDATE()) = 0
		OR DATEDIFF(DAY,GESTIONE_PDF_FTP.DataInvioRistampa,GETDATE()) = 0) 
		AND convert(varchar(10),v.data_fineAvanzato,112) = '99991231'
END